
Katello - Bug #6805

Trying to remove a product that has content published elsewhere returns an error message

referencing "changesets"

07/28/2014 02:57 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1115634 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1115634

Description of problem:

When user tries to delete a product that has content already existing in published/promoted CVs, an error is thrown. this error

references changesets, an obsolete term.  We need to fix the text.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140702.0

How reproducible:

Steps to Reproduce:

1.  Publish/promote product content

2.  Attempt to delete content

3.  View error message

Actual results:

An error occurred removing the Products: Repository cannot be deleted since it has already been promoted. Using a changeset,

please delete the repository from existing environments before deleting it.

Expected results:

Something that is more correct and certainly removes references to changesets.

Additional info:

History

#1 - 08/04/2014 10:59 PM - Eric Helms

- Assignee set to Brad Buckingham

- Target version set to 54

- Difficulty set to trivial

- Triaged changed from No to Yes

#2 - 08/05/2014 07:32 AM - Brad Buckingham

- Assignee changed from Brad Buckingham to Partha Aji

#3 - 08/05/2014 04:23 PM - Partha Aji

- Status changed from New to Closed

http://projects.theforeman.org/issues/6829 addresses this.

#4 - 08/22/2014 09:23 AM - Eric Helms
- translation missing: en.field_release set to 13
